// #autoload
// #name = madFarm
// #version = 2.1
// #status = final
// #author = Monk
// #warrior = tao|Mad Monk
// #category = Monk's scripts
// #description = popup menu to select deployable items
// #include = support/menu_system.cs

if(!isObject(madFarmMenu))
{
	new ScriptObject(madFarmMenu)
	{
		class = madFarmMenu;

		keyList = false;
	};
}

function madFarmMenu::setup(%this)
{
	MS::NewMenu("Farmer's Market:Main Menu");
	MS::AddChoice("Farmer's Market:Main Menu", "A", "Remote Inv", "quickPackDeployableStation(1);");
	MS::AddChoice("Farmer's Market:Main Menu", "S", "Turrets", "madFarmMenu.selectTurrets();");
	MS::AddChoice("Farmer's Market:Main Menu", "D", "Sensors", "madFarmMenu.selectSensors();");
	MS::AddChoice("Farmer's Market:Main Menu", "F", "Barrels", "madFarmMenu.selectBarrels();");
	MS::AddChoice("Farmer's Market:Main Menu", "G", "Repair Pack", "quickPackRepairPack(1);");
	MS::AddChoice("Farmer's Market:Main Menu", "Q", "Camera", "quickPackCameraGrenade(1);");
} // end function setup		

function madFarmMenuOpen(%val)
{
	if(%val)
		MS::Display("Farmer's Market:Main Menu");
} // end function madFarmMenuOpen

function madFarmMenu::selectTurrets(%this)
{
	MS::NewMenu("Farmer's Market:Turrets");
	MS::AddChoice("Farmer's Market:Turrets", "A", "Spike Turret", "quickPackOutdoorTurret(1);");
	MS::AddChoice("Farmer's Market:Turrets", "S", "Clamp Turret", "quickPackIndoorTurret(1);");
	
	MS::Display("Farmer's Market:Turrets");
} // end function selectTurrets

function madFarmMenu::selectSensors(%this)
{
	MS::NewMenu("Farmer's Market:Sensors");
	MS::AddChoice("Farmer's Market:Sensors", "A", "Pulse Sensor", "quickPackPulse(1);");
	MS::AddChoice("Farmer's Market:Sensors", "S", "Motion Sensor", "quickPackMotionSensor(1);");
	
	MS::Display("Farmer's Market:Sensors");
} // end function selectSensors
	
function madFarmMenu::selectBarrels(%this)
{
	MS::NewMenu("Farmer's Market:Barrels");
	MS::AddChoice("Farmer's Market:Barrels", "A", "AA Turret Barrel", "quickPackAABarrel(1);");
	MS::AddChoice("Farmer's Market:Barrels", "S", "Elf Turret Barrel", "quickPackElfBarrel(1);");
	MS::AddChoice("Farmer's Market:Barrels", "D", "Plasma Turret Barrel", "quickPackPlasmaBarrel(1);");
	MS::AddChoice("Farmer's Market:Barrels", "F", "Missile Turret Barrel", "quickPackMissileBarrel(1);");
	MS::AddChoice("Farmer's Market:Barrels", "G", "Mortar Turret Barrel", "quickPackMortarBarrel(1);");
	
	MS::Display("Farmer's Market:Barrels");
} // end function selectBarrels

package madFarmMenuPackage
{
	function OptionsDlg::onWake(%this)
	{
		if(!madFarmMenu.keyList)
		{
			$RemapName[$RemapCount]="\c5farm menu";
			$RemapCmd[$RemapCount]="madFarmMenuOpen";
			$RemapCount++;	
			
			madFarmMenu.keyList = true;
		}
		parent::onWake(%this);
	} // end function onWake
}; // end package
activatePackage(madFarmMenuPackage);

madFarmMenu.setup();